/*
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @author $Author: leine $
 * @version $Revision: 69543 $
 * @requires Legato.js
 * @requires OpenLayers/Control.js
 */

/**
 * Test utility methods
 */
LegatoTesting.Test.Util = {};

LegatoTesting.Test.Util.assertArrayValues = function(array1, array2) {
  assertTrue(typeof array1 == 'object' && typeof array1.length != 'undefined');
  assertTrue(typeof array2 == 'object' && typeof array2.length != 'undefined');
  assertEquals(array1.length, array2.length);

  for ( var i = 0; i < array1.length; i++) {
    assertEquals(array1[i], array2[i]);
  }
}